"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var assert = require("assert");
var spectron_1 = require("spectron");
var electron = require('electron');
describe('Shiba', function () {
    this.timeout(10000);
    before(function () {
        var _this = this;
        this.app = new spectron_1.Application({
            path: electron,
            args: [path.join(__dirname, '..', '..')],
            env: {
                NODE_ENV: 'production',
            },
        });
        return this.app.start().then(function () { return _this.app.client.pause(3000); });
    });
    after(function () {
        if (this.app.isRunning()) {
            return this.app.stop();
        }
    });
    it('can start without an error', function () {
        var _this = this;
        return this.app.client.getWindowCount().then(function (c) { return assert.equal(c, 1); })
            .then(function () { return _this.app.browserWindow.isVisible(); }).then(function (b) { return assert.ok(b); })
            .then(function () { return _this.app.webContents.getURL(); }).then(function (u) { return assert.ok(u); })
            .then(function () { return _this.app.client.execute(function () {
            var e = document.getElementById('main-drawer');
            if (!e) {
                throw new Error('main drawer not found!');
            }
        }); })
            .then(function () { return _this.app.client.getRenderProcessLogs(); }).then(function (logs) {
            for (var _i = 0, logs_1 = logs; _i < logs_1.length; _i++) {
                var log = logs_1[_i];
                assert.notEqual(log.level, 'error', log.message);
            }
        });
    });
});
//# sourceMappingURL=smoke.js.map