"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vm_1 = require("vm");
var fs_1 = require("fs");
var path_1 = require("path");
var assert = require("power-assert");
var dependant_script = path_1.join(__dirname, '..', '..', '..', '..', 'build', 'src', 'renderer', 'emoji.js');
vm_1.runInThisContext(fs_1.readFileSync(dependant_script, 'utf8'));
describe('Emoji.Replacer', function () {
    describe('#replaceOne', function () {
        it('does nothing to text including no emoji', function () {
            var r = new Emoji.Replacer(__dirname);
            assert(r.replaceOne('') === '');
            assert(r.replaceOne('foo') === 'foo');
            assert(r.replaceOne(':bar') === ':bar');
            assert(r.replaceOne('foo :bar') === 'foo :bar');
            assert(r.replaceOne('foo :<b>foo</b>:') === 'foo :<b>foo</b>:');
        });
        it('does nothing to unknown emoji', function () {
            var r = new Emoji.Replacer(__dirname);
            assert(r.replaceOne('boku_no_kangaeta_saikyouno_emoji') === 'boku_no_kangaeta_saikyouno_emoji');
        });
        it('replaces emojis with <img> tag', function () {
            var r = new Emoji.Replacer(__dirname);
            assert(r.replaceOne('dog') === "<img src=\"" + __dirname + "/emoji/dog.png\" title=\":dog:\" height=\"16px\" alt=\"dog\"></img>");
        });
    });
});
//# sourceMappingURL=emoji_test.js.map